/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VRestSearch;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VRestSearchRecord extends TableRecordImpl<VRestSearchRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_rest_search.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_search.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_rest_search.element_path</code>.
     */
    public void setElementPath(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_search.element_path</code>.
     */
    public String getElementPath() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_rest_search.short_name</code>.
     */
    public void setShortName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_search.short_name</code>.
     */
    public String getShortName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_rest_search.translation</code>.
     */
    public void setTranslation(JSONB value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_search.translation</code>.
     */
    public JSONB getTranslation() {
        return (JSONB) get(3);
    }

    /**
     * Setter for <code>common_dd.v_rest_search.annotation</code>.
     */
    public void setAnnotation(JSONB value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_search.annotation</code>.
     */
    public JSONB getAnnotation() {
        return (JSONB) get(4);
    }

    /**
     * Setter for <code>common_dd.v_rest_search.notes</code>.
     */
    public void setNotes(JSONB value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_search.notes</code>.
     */
    public JSONB getNotes() {
        return (JSONB) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VRestSearchRecord
     */
    public VRestSearchRecord() {
        super(VRestSearch.V_REST_SEARCH);
    }

    /**
     * Create a detached, initialised VRestSearchRecord
     */
    public VRestSearchRecord(String uniqueName, String elementPath, String shortName, JSONB translation, JSONB annotation, JSONB notes) {
        super(VRestSearch.V_REST_SEARCH);

        setUniqueName(uniqueName);
        setElementPath(elementPath);
        setShortName(shortName);
        setTranslation(translation);
        setAnnotation(annotation);
        setNotes(notes);
        resetChangedOnNotNull();
    }
}
